########################################
#	mod_hee.pl
#	MT::Plugin::ModHee, version 0.01
#		 by Kazeburo <kazeburo@nomadscafe.jp>
#
#	DATE: 04.6.23 0:11 PM
#
#	Movable Type Plugin Vote򻲹ͤˤƤޤ
#	http://www.mt-plugins.org/mtype/archives/entry/vote.php
#
########################################

package MT::Plugin::ModHee;

use strict;
use MT::Template::Context;
use MT::PluginData;
use MT::ConfigMgr;
use vars qw($VERSION $aa $ss $hee $maxhee $maxpush $heeimg $cgipath);
$VERSION='0.01';

#AA
$aa = "( ώ)ġ ";
#顼AA
$ss = "(؎)";
#ؤ
$hee = "͎";
#ؤܥѥ
$heeimg="http://hogehoge/img/he.gif";
#οʾˤʤȡؤ()ˤޤ
$maxhee=10;
#٤˲ȤΤǤ
$maxpush=3;
#cgipath
$cgipath=MT::ConfigMgr->instance()->CGIPath;

MT::Template::Context->add_tag(HeeView=>\&heeview);
MT::Template::Context->add_tag(HeeJS=>\&heejs);

sub heejs{
	my ($ctx, $args) = @_;

	return <<EOF;
function push_hee(id,count){
	if(! document.getElementById("heespan"+id)){return 1;}
	if(document.getElementById("heeimg"+id).getAttribute("title") != "$hee"){return 1;}
	newcount = Number(document.getElementById("heespan"+id).getAttribute("title"))+1;	
	if(newcount - count > $maxpush){
		document.getElementById("heeimg"+id).setAttribute("title","ʢäѤ");
		return 1;
	}
	
	document.getElementById("heeimg"+id).setAttribute("title","Ԥä");
	
	pushimg = new Image();
	pushimg.onload=function(){
		document.getElementById("heeimg"+id).setAttribute("title","$hee");
	}
	urlstr = "$cgipath"+"mt-hee.cgi?__mode=vote&entry_id="+id+"&count="+newcount;
	pushimg.src= urlstr;

	newstr="";
	if(newcount > $maxhee){
		newstr += "$hee$hee$hee(" + new String(newcount) + ")";
	}else{
		for(i=0;i<newcount;i++){
			newstr += "$hee";
		}
	}
	
	document.getElementById("heespan"+id).firstChild.nodeValue=newstr;
	document.getElementById("heespan"+id).setAttribute("title",newcount);

}

EOF
}

sub heeview{
	my ($ctx, $args) = @_;
	my $entry = $ctx->stash('entry') or return $ss;
	my $id = $entry->id or return $ss;
	my $ret;
	
	  my $data = MT::PluginData->load ({
	  	plugin =>'MTModHee',
	  	key=>$id
	});
	my $count = ($data) ? ${$data->data} : 0;
	
	$ret .= qq(<a href="JavaScript:void(0);" onClick="push_hee('$id',$count);"><img src="$heeimg" border="0" align="absmiddle" id="heeimg$id" title="$hee"></a>);
	$ret .= qq($aa<span id="heespan$id" class="heeheehee" title="$count">);
	
	if($count > $maxhee){
		$ret .= qq($hee$hee$hee($count));
	}else{
		for(my $i=0;$i<$count;$i++){
			$ret .= $hee;
		}
	}

	if($count == 0){
		$ret .= "&nbsp;";
	}
	$ret .= qq(</span>);
	
	return $ret;
}

1;

