#!/usr/bin/perl -w

########################################
#	mt-hee.cgi
#	MT::Plugin::ModHee, version 0.01
#		 by Kazeburo <kazeburo@nomadscafe.jp>
#
#	DATE: 04.6.23 0:11 PM
#
########################################


use strict;

my($MT_DIR);
BEGIN {
    if ($0 =~ m!(.*[/\\])!) {
        $MT_DIR = $1;
    } else {
        $MT_DIR = './';
    }
    unshift @INC, $MT_DIR . 'lib';
    unshift @INC, $MT_DIR . 'extlib';
}

eval{
	require MT::App::Hee;
	my $app = MT::App::Hee->new ( Config => $MT_DIR . 'mt.cfg',Directory => $MT_DIR )
		 or die MT::App::Hee->errstr;
	local $SIG{__WARN__} = sub {$app->trace ($_[0])};
	$app->run;
};

if ($@) {
	print "Content-Type: text/html\n\n";
	print "An error occurred: $@";
}
  

